/* -*-C-*- stricm.c */
/*-->stricmp*/
/**********************************************************************/
/****************************** stricmp *******************************/
/**********************************************************************/

#include "os.h"
#include "xctype.h"
#include "xstdlib.h"

/***********************************************************************
 Compare strings (ignoring case), and return:
	s1>s2:	>0
	s1==s2:  0
	s1<s2:	<0
***********************************************************************/

int	stricmp ARGS((const char *s1,const char *s2));

/* toupper() is supposed to work for all letters, but PCC-20 does it
incorrectly if the argument is not already lowercase; this definition
fixes that. */

#define TOUPPER(c) (islower(c) ? toupper(c) : (c))

int
stricmp(s1, s2)
register const char *s1;
register const char *s2;
{
    while ((*s1) && (TOUPPER(*s1) == TOUPPER(*s2)))
    {
	s1++;
	s2++;
    }
    return((int)(TOUPPER(*s1) - TOUPPER(*s2)));
}

#ifdef TOUPPER
#undef TOUPPER
#endif /* TOUPPER */

